Create reminder rule
curl --request POST \
--url https://api.heullo.com/api/v1/calendar/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendarIds": [
"<string>"
],
"triggerTiming": {
"beforeEvent": true,
"unit": "<string>",
"value": 123
},
"active": true,
"conditions": {
"daysOfWeek": [
123
],
"eventDescriptionContains": [
"<string>"
],
"eventTitleContains": [
"<string>"
],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/calendar/rules"
payload = {
"calendarIds": ["<string>"],
"triggerTiming": {
"beforeEvent": True,
"unit": "<string>",
"value": 123
},
"active": True,
"conditions": {
"daysOfWeek": [123],
"eventDescriptionContains": ["<string>"],
"eventTitleContains": ["<string>"],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendarIds: ['<string>'],
triggerTiming: {beforeEvent: true, unit: '<string>', value: 123},
active: true,
conditions: {
daysOfWeek: [123],
eventDescriptionContains: ['<string>'],
eventTitleContains: ['<string>'],
maximumDuration: 123,
minimumDuration: 123,
timeRange: {endTime: '<string>', startTime: '<string>'}
},
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
failedCount: 123,
id: '<string>',
name: '<string>',
sentCount: 123,
templateId: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/calendar/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/calendar/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'calendarIds' => [
'<string>'
],
'triggerTiming' => [
'beforeEvent' => true,
'unit' => '<string>',
'value' => 123
],
'active' => true,
'conditions' => [
'daysOfWeek' => [
123
],
'eventDescriptionContains' => [
'<string>'
],
'eventTitleContains' => [
'<string>'
],
'maximumDuration' => 123,
'minimumDuration' => 123,
'timeRange' => [
'endTime' => '<string>',
'startTime' => '<string>'
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'failedCount' => 123,
'id' => '<string>',
'name' => '<string>',
'sentCount' => 123,
'templateId' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/calendar/rules"
payload := strings.NewReader("{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/calendar/rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/calendar/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"calendarIds": [
"<string>"
],
"triggerTiming": {
"beforeEvent": true,
"unit": "<string>",
"value": 123
},
"active": true,
"conditions": {
"daysOfWeek": [
123
],
"eventDescriptionContains": [
"<string>"
],
"eventTitleContains": [
"<string>"
],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Calendar
Create reminder rule
POST /api/v1/calendar/rules
POST
/
api
/
v1
/
calendar
/
rules
Create reminder rule
curl --request POST \
--url https://api.heullo.com/api/v1/calendar/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendarIds": [
"<string>"
],
"triggerTiming": {
"beforeEvent": true,
"unit": "<string>",
"value": 123
},
"active": true,
"conditions": {
"daysOfWeek": [
123
],
"eventDescriptionContains": [
"<string>"
],
"eventTitleContains": [
"<string>"
],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/calendar/rules"
payload = {
"calendarIds": ["<string>"],
"triggerTiming": {
"beforeEvent": True,
"unit": "<string>",
"value": 123
},
"active": True,
"conditions": {
"daysOfWeek": [123],
"eventDescriptionContains": ["<string>"],
"eventTitleContains": ["<string>"],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendarIds: ['<string>'],
triggerTiming: {beforeEvent: true, unit: '<string>', value: 123},
active: true,
conditions: {
daysOfWeek: [123],
eventDescriptionContains: ['<string>'],
eventTitleContains: ['<string>'],
maximumDuration: 123,
minimumDuration: 123,
timeRange: {endTime: '<string>', startTime: '<string>'}
},
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
failedCount: 123,
id: '<string>',
name: '<string>',
sentCount: 123,
templateId: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/calendar/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/calendar/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'calendarIds' => [
'<string>'
],
'triggerTiming' => [
'beforeEvent' => true,
'unit' => '<string>',
'value' => 123
],
'active' => true,
'conditions' => [
'daysOfWeek' => [
123
],
'eventDescriptionContains' => [
'<string>'
],
'eventTitleContains' => [
'<string>'
],
'maximumDuration' => 123,
'minimumDuration' => 123,
'timeRange' => [
'endTime' => '<string>',
'startTime' => '<string>'
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'description' => '<string>',
'failedCount' => 123,
'id' => '<string>',
'name' => '<string>',
'sentCount' => 123,
'templateId' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/calendar/rules"
payload := strings.NewReader("{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/calendar/rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/calendar/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"calendarIds\": [\n \"<string>\"\n ],\n \"triggerTiming\": {\n \"beforeEvent\": true,\n \"unit\": \"<string>\",\n \"value\": 123\n },\n \"active\": true,\n \"conditions\": {\n \"daysOfWeek\": [\n 123\n ],\n \"eventDescriptionContains\": [\n \"<string>\"\n ],\n \"eventTitleContains\": [\n \"<string>\"\n ],\n \"maximumDuration\": 123,\n \"minimumDuration\": 123,\n \"timeRange\": {\n \"endTime\": \"<string>\",\n \"startTime\": \"<string>\"\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\",\n \"failedCount\": 123,\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"sentCount\": 123,\n \"templateId\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"calendarIds": [
"<string>"
],
"triggerTiming": {
"beforeEvent": true,
"unit": "<string>",
"value": 123
},
"active": true,
"conditions": {
"daysOfWeek": [
123
],
"eventDescriptionContains": [
"<string>"
],
"eventTitleContains": [
"<string>"
],
"maximumDuration": 123,
"minimumDuration": 123,
"timeRange": {
"endTime": "<string>",
"startTime": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"failedCount": 123,
"id": "<string>",
"name": "<string>",
"sentCount": 123,
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1
